%define plibdir %(pkg-config evolution-shell --variable=privlibdir 2>/dev/null)
%define major   %(echo %{version} | %{__perl} -pe 's/^(\\d+\\.\\d+).*/$1/')

Name:           evolution-connector
Version:        1.4.7.2
Release:        0.fdr.1.2
Epoch:          0
Summary:        Evolution Connector for Microsoft(tm) Exchange server.
Group:          Applications/Productivity
License:        GPL
URL:            http://www.novell.com/products/connector/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/ximian-connector/1.4/ximian-connector-1.4.7.2.tar.bz2
Patch0:         %{name}-dynamic-ldap.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  evolution-devel >= 0:1.4
BuildRequires:	openldap-devel, gettext, perl-XML-Parser
Obsoletes:      ximian-connector <= 0:1.4.7-0.fdr.2
Provides:       ximian-connector = %{epoch}:%{version}-%{release}

%description
%{summary}
With the Connector for Microsoft Exchange installed, Evolution functions as 
an Exchange client, enabling users to become full participants in company-wide
group scheduling and other collaborative tasks. Linux and Solaris users can
access public folders, Global Address Lists, email, calendar, task lists, 
and group scheduling information.

%prep
%setup -q -n ximian-connector-%{version}
%patch0 -p1


%build
%configure --with-openldap --with-static-ldap=no
make %{?_smp_mflags} LDFLAGS="-rpath %{plibdir}"


%install
rm -rf $RPM_BUILD_ROOT _docs
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
cp -pR docs _docs
find _docs -type f -name "Makefile*" -exec rm -f {} ';'
%find_lang ximian-connector-%{major}


%clean
rm -rf $RPM_BUILD_ROOT


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/apps_evolution_exchange.schemas >/dev/null

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/apps_evolution_exchange.schemas >/dev/null || :


%files -f ximian-connector-%{major}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS _docs/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/ximian-connector-setup
%exclude %{_libdir}/evolution/*/camel-providers/libcamelexchange.*a
%{_libdir}/evolution/*/camel-providers/libcamelexchange.*
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/evolution/*/evolution-exchange-storage
%{_datadir}/evolution/*/*/*.png
%{_datadir}/ximian-connector


%changelog
* Wed Jul 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.7.2-0.fdr.1
- Update to 1.4.7.2.

* Mon May 24 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.7-0.fdr.3
- Rename to evolution-connector.
- Obsolete/provide ximian-connector.

* Mon May 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.7-0.fdr.2
- Use pkg-config to find Evolution's private lib dir.
- Use %%find_lang.
- Don't install Makefiles in docs.
- Don't install static libraries for now.
- Don't own the %%{_libdir}/bonobo/servers dir.
- Other cosmetic specfile improvements.

* Wed May 12 2004 Panu Matilainen <pmatilai@welho.com> 0:1.4.7-0.fdr.1
- Initial fedora.us packaging.
